DRM_HELPER_MOVE_PANE(9)

NAME
drm_helper_move_panel_connectors_to_head - move panels to the front in the connector list

SYNOPSIS

void drm_helper_move_panel_connectors_to_head(struct drm_device * dev);

ARGUMENTS

dev
    drm device to operate on

DESCRIPTION

Some userspace presumes that the first connected connector is the main display, where it's supposed to display e.g. the login screen. For laptops, this should be the main panel. Use this function to sort all (eDP/LVDS) panels to the front of the connector list, instead of painstakingly trying to initialize them in the right order.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT